function userNameVerify (){
    /*
    Required Field
    Max 50 Char, Min 6 Char
 */
    let userName = document.getElementById("userName");
    if (userName) {

        /* userName Length test - Fail if not 5 < Length >= 50 and display errors */
        if (userName.value.length < 5 || userName.value.length >= 50){
            let userDiv = document.getElementById("userNameDiv");
            if (userDiv){
                userDiv.classList.remove("has-success");
                userDiv.classList.add("has-error");
            }
            let userErr = document.getElementById("userNameErr");
            if (userErr){
                userErr.classList.remove("hide");
                userErr.classList.add("show");
            }
            return false;


        <!-- Else, length is valid. return true and adjust display -->
        } else {
            let userDiv = document.getElementById("userNameDiv");
            if (userDiv){
                userDiv.classList.remove("has-error");
                userDiv.classList.add("has-success");
            }
            let userErr = document.getElementById("userNameErr");
            if (userErr){
                userErr.classList.remove("show");
                userErr.classList.add("hide");
            }
            return true;
        }
    }
}

<!--All that is left is to test for special chars-->
function passwordVerify () {
    /*
    Required Field
    Check size - Max 60 Char, min 6 Char
    Check for at least - 1 Capital, 1 Lower, 1 Digit, 1 Special!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     */
    let passOne = document.getElementById("password"),
        passTwo = document.getElementById("confirmPassword"),
        passTest1 = passOne.value.search(/\S*[A-Z]+\S*/),
        passTest2 = passOne.value.search(/\S*[a-z]+\S*/),
        passTest3 = passOne.value.search(/\S*[0-9]+\S*/),
        passTest4 = passOne.value.search(/\S*\W+\S*/),
        fullTest = passTest1 + passTest2 + passTest3 + passTest4,
        isValid = false;


    <!-- If passOne has content, test to see if valid. -->
    if (passOne.value != "") {
        if (passOne.value.length < 5 || passOne.value.length >= 60 || fullTest < 0) {
            let passOneDiv = document.getElementById("passwordDiv");
            if (passOneDiv) {
                passOneDiv.classList.remove("has-success");
                passOneDiv.classList.add("has-error");
            }
            let passOneErr = document.getElementById("passErr");
            if (passOneErr) {
                passOneErr.classList.remove("hide");
                passOneErr.classList.add("show");
            }


        } <!-- Else, length and input valid. return true and adjust display -->
        else {
            isValid = true;
            let passOneDiv = document.getElementById("passwordDiv");
            if (passOneDiv) {
                passOneDiv.classList.remove("has-error");
                passOneDiv.classList.add("has-success");
            }

            let passOneErr = document.getElementById("passErr");
            if (passOneErr) {
                passOneErr.classList.remove("show");
                passOneErr.classList.add("hide");
            }
        }
    }


    if (passOne && passTwo) {
    <!-- If the passwords don't match and passTwo has content, Red outline passOne and Two, Error msg passTwo -->
        if ((passOne.value != passTwo.value) && (passTwo.value != "")) {
            let passOneDiv = document.getElementById("passwordDiv"),
                passTwoDiv = document.getElementById("confirmPassDiv");
            if (passOneDiv && passTwoDiv) {
                passOneDiv.classList.remove("has-success");
                passOneDiv.classList.add("has-error");
                passTwoDiv.classList.remove("has-success");
                passTwoDiv.classList.add("has-error");
            }

            let passTwoErr = document.getElementById("confirmPassErr")
            if (passTwoErr) {
                passTwoErr.classList.remove("hide");
                passTwoErr.classList.add("show");
            }
        }


        <!-- If passOne and Two are equal as well as valid, Success! -->
    }

    if (passOne.value == passTwo.value) {
        if (isValid) {
            let passOneDiv = document.getElementById("passwordDiv"),
                passTwoDiv = document.getElementById("confirmPassDiv");
            if (passOneDiv && passTwoDiv) {
                passOneDiv.classList.remove("has-error");
                passOneDiv.classList.add("has-success");
                passTwoDiv.classList.remove("has-error");
                passTwoDiv.classList.add("has-success");
            }
            let passTwoErr = document.getElementById("confirmPassErr")
            if (passTwoErr) {
                passTwoErr.classList.remove("show");
                passTwoErr.classList.add("hide");
            }
            return true;


    <!-- If passOne and Two are equal but not valid, assign has error to both, display passErr only -->
        } else {
            let passOneDiv = document.getElementById("passwordDiv"),
                passTwoDiv = document.getElementById("confirmPassDiv");
            if (passOneDiv && passTwoDiv) {
                passOneDiv.classList.remove("has-success");
                passOneDiv.classList.add("has-error");
                passTwoDiv.classList.remove("has-success");
                passTwoDiv.classList.add("has-error");
            }
            let passOneErr = document.getElementById("passErr"),
                passTwoErr = document.getElementById("confirmPassErr");
            if (passOneErr && passTwoErr) {
                passOneErr.classList.remove("hide");
                passOneErr.classList.add("show");
                passTwoErr.classList.remove("show");
                passTwoErr.classList.add("hide");
            }

        }
    }
    return false
}

function firstNameVerify(){
    /*
    Required Field
    Max 50 Char
     */
    let givenName = document.getElementById("firstName");
    if (givenName){

        /* First Name Length test - Fail if length > 50 and display errors */
        if (givenName.value.length < 1 || givenName.value.length > 50){
            let givenNameDiv = document.getElementById("firstNameDiv");
            if (givenNameDiv){
                givenNameDiv.classList.remove("has-success");
                givenNameDiv.classList.add("has-error");
            }
            let givenNameErr = document.getElementById("firstNameErr");
            if (givenNameErr){
                givenNameErr.classList.remove("hide");
                givenNameErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let givenNameDiv = document.getElementById("firstNameDiv");
            if (givenNameDiv){
                givenNameDiv.classList.remove("has-error");
                givenNameDiv.classList.add("has-success");
            }

            let givenNameErr = document.getElementById("firstNameErr");
            if (givenNameErr){
                givenNameErr.classList.remove("show");
                givenNameErr.classList.add("hide");
            }
            return true;
        }
    }
    return false
}

function lastNameVerify(){
    /*
    Required Field
    Max 50 Char
     */

    let familyName = document.getElementById("lastName");
    if (familyName){

        /* Last Name Length test - Fail if length > 50 and display errors */
        if (familyName.value.length < 1 || familyName.value.length > 50){
            let familyNameDiv = document.getElementById("lastNameDiv");
            if (familyNameDiv){
                familyNameDiv.classList.remove("has-success");
                familyNameDiv.classList.add("has-error");
            }
            let familyNameErr = document.getElementById("lastNameErr");
            if (familyNameErr){
                familyNameErr.classList.remove("hide");
                familyNameErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let familyNameDiv = document.getElementById("lastNameDiv");
            if (familyNameDiv){
                familyNameDiv.classList.remove("has-error");
                familyNameDiv.classList.add("has-success");
            }

            let familyNameErr = document.getElementById("lastNameErr");
            if (familyNameErr){
                familyNameErr.classList.remove("show");
                familyNameErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function addressOneVerify(){
    /*
    Required Field
    Max 100 Char
     */

    let streetAddress = document.getElementById("addressLine1");
    if (streetAddress){

        /* Address 1 Length test - Fail if length > 100 and display errors */
        if (streetAddress.value.length <1 || streetAddress.value.length > 100){
            let streetAddressDiv = document.getElementById("address1Div");
            if (streetAddressDiv){
                streetAddressDiv.classList.remove("has-success");
                streetAddressDiv.classList.add("has-error");
            }
            let streetAddressErr = document.getElementById("address1Err");
            if (streetAddressErr){
                streetAddressErr.classList.remove("hide");
                streetAddressErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let streetAddressDiv = document.getElementById("address1Div");
            if (streetAddressDiv){
                streetAddressDiv.classList.remove("has-error");
                streetAddressDiv.classList.add("has-success");
            }

            let streetAddressErr = document.getElementById("address1Err");
            if (streetAddressErr){
                streetAddressErr.classList.remove("show");
                streetAddressErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function addressTwoVerify(){
    /*
    Optional Field!!!!
    Max 100 Char
     */
    let aptNumber = document.getElementById("addressLine2");
    if (aptNumber){

        /* Address 1 Length test - Fail if length > 100 and display errors */
        if (aptNumber.value.length > 100){
            let aptNumberDiv = document.getElementById("address2Div");
            if (aptNumberDiv){
                aptNumberDiv.classList.remove("has-success");
                aptNumberDiv.classList.add("has-error");
            }
            let aptNumberErr = document.getElementById("address2Err");
            if (aptNumberErr){
                aptNumberErr.classList.remove("hide");
                aptNumberErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let aptNumberDiv = document.getElementById("address2Div");
            if (aptNumberDiv){
                aptNumberDiv.classList.remove("has-error");
                aptNumberDiv.classList.add("has-success");
            }

            let aptNumberErr = document.getElementById("address2Err");
            if (aptNumberErr){
                aptNumberErr.classList.remove("show");
                aptNumberErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function cityVerify(){
    /*
    Required Field
    Max 50 Char
     */
    let town = document.getElementById("city");
    if (town){

        /* City Length test - Fail if length > 50 and display errors */
        if (town.value.length < 1 || town.value.length > 50){
            let townDiv = document.getElementById("cityDiv");
            if (townDiv){
                townDiv.classList.remove("has-success");
                townDiv.classList.add("has-error");
            }
            let townErr = document.getElementById("cityErr");
            if (townErr){
                townErr.classList.remove("hide");
                townErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let townDiv = document.getElementById("cityDiv");
            if (townDiv){
                townDiv.classList.remove("has-error");
                townDiv.classList.add("has-success");
            }

            let townErr = document.getElementById("cityErr");
            if (townErr){
                townErr.classList.remove("show");
                townErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function stateVerify(){
    /*
    Required Field
    Verify a choice was made (Max 52 Char?)
     */

    let stateAbv = document.getElementById("state");
    if (stateAbv){

        /* State Choice Test - Fail if .value == # and display errors */
        if (stateAbv.value == "#"){
            let stateAbvDiv = document.getElementById("stateDiv");
            if (stateAbvDiv){
                stateAbvDiv.classList.remove("has-success");
                stateAbvDiv.classList.add("has-error");
            }
            let stateAbvErr = document.getElementById("stateErr");
            if (stateAbvErr){
                stateAbvErr.classList.remove("hide");
                stateAbvErr.classList.add("show");
            }

            <!-- Else, selection is valid. return true and adjust display -->
        } else {
            let stateAbvDiv = document.getElementById("stateDiv");
            if (stateAbvDiv){
                stateAbvDiv.classList.remove("has-error");
                stateAbvDiv.classList.add("has-success");
            }

            let stateAbv = document.getElementById("stateErr");
            if (stateAbv){
                stateAbv.classList.remove("show");
                stateAbv.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function zipVerify(){
    /*
    Required Field
    Size - Max 10 Char, Min 5 Char
    Script to match 12345 or 12345-6789 as valid
     */
    let zipCode = document.getElementById("zip");
    if (zipCode){
        zipCode.value = zipCode.value.replace(/-/g,"");

        /* City Length test - Fail if length > 50 and display errors */
        if ((zipCode.value.length != 5 && zipCode.value.length != 9) || !zipCode.value.match(/[0-9]+/)){
            let zipCodeDiv = document.getElementById("zipDiv");
            if (zipCodeDiv){
                zipCodeDiv.classList.remove("has-success");
                zipCodeDiv.classList.add("has-error");
            }
            let zipCodeErr = document.getElementById("zipErr");
            if (zipCodeErr){
                zipCodeErr.classList.remove("hide");
                zipCodeErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            if (zipCode.value.length == 9){
                zipCode.value = zipCode.value.slice(0,5) + "-" + zipCode.value.slice(5)
            }
            let zipCodeDiv = document.getElementById("zipDiv");
            if (zipCodeDiv){
                zipCodeDiv.classList.remove("has-error");
                zipCodeDiv.classList.add("has-success");
                }

            let zipCodeErr = document.getElementById("zipErr");
            if (zipCodeErr){
                zipCodeErr.classList.remove("show");
                zipCodeErr.classList.add("hide");
                }
            return true;
        }
    }
    return false;
}


function phoneVerify(){
    /*
    Required Field
    Max (and Min?) Length 12 Char
    Script to convert to 123-456-7890 format
     */

    let phoneNum = document.getElementById("phoneNumber");
    if (phoneNum){
        phoneNum.value = phoneNum.value.replace(/\D/g,"");
        /* City Length test - Fail if length > 50 and display errors */
        if (phoneNum.value.length != 10){
            let phoneNumDiv = document.getElementById("phoneDiv");
            if (phoneNumDiv){
                phoneNumDiv.classList.remove("has-success");
                phoneNumDiv.classList.add("has-error");
            }
            let phoneNumErr = document.getElementById("phoneErr");
            if (phoneNumErr){
                phoneNumErr.classList.remove("hide");
                phoneNumErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            phoneNum.value = "(" + phoneNum.value.slice(0,3) + ")" + phoneNum.value.slice(3,6) +
                "-" + phoneNum.value.slice(6,10);
            let phoneNumDiv = document.getElementById("phoneDiv");
            if (phoneNumDiv){
                phoneNumDiv.classList.remove("has-error");
                phoneNumDiv.classList.add("has-success");
            }

            let phoneNumErr = document.getElementById("phoneErr");
            if (phoneNumErr){
                phoneNumErr.classList.remove("show");
                phoneNumErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function emailVerify(){
    /*
    Required Field
    enforce format xxx@xxx.xxx
     */

    let emailAdd = document.getElementById("email");
    if (emailAdd){
        emailAdd.value = emailAdd.value.replace(/\s/,"");
        let index = emailAdd.value.search(
            /^\S+\@\S+\.\S+$/
        );

        /* Format Testing - Must be x@x.x format */
        if (emailAdd.value == "" || index < 0){
            let emailAddDiv = document.getElementById("emailDiv");
            if (emailAddDiv){
                emailAddDiv.classList.remove("has-success");
                emailAddDiv.classList.add("has-error");
            }
            let emailAddErr = document.getElementById("emailErr");
            if (emailAddErr){
                emailAddErr.classList.remove("hide");
                emailAddErr.classList.add("show");
            }

            <!-- Else, length is valid. return true and adjust display -->
        } else {
            let emailAddDiv = document.getElementById("emailDiv");
            if (emailAddDiv){
                emailAddDiv.classList.remove("has-error");
                emailAddDiv.classList.add("has-success");
            }

            let emailAddErr = document.getElementById("emailErr");
            if (emailAddErr){
                emailAddErr.classList.remove("show");
                emailAddErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}


function genderVerify(){
    /*
    Required Field
    Test if chosen? (Max length 50 char)
     */

    let maleChoice = document.getElementById("maleGender"),
        femaleChoice = document.getElementById("femaleGender"),
        otherChoice = document.getElementById("otherGender");
    if (maleChoice && femaleChoice && otherChoice){

        /* Checked test - Fail if no choices are checked and display errors */
        if (!maleChoice.checked && !femaleChoice.checked && !otherChoice.checked){
            let genderChoiceDiv = document.getElementById("genderDiv");
            if (genderChoiceDiv){
                genderChoiceDiv.classList.remove("has-success");
                genderChoiceDiv.classList.add("has-error");
            }
            let genderChoiceErr = document.getElementById("genderErr");
            if (genderChoiceErr){
                genderChoiceErr.classList.remove("hide");
                genderChoiceErr.classList.add("show");
            }

            <!-- Else, there is a choice which is valid. return true and adjust display -->
        } else {
            let genderChoiceDiv = document.getElementById("genderDiv");
            if (genderChoiceDiv){
                genderChoiceDiv.classList.remove("has-error");
                genderChoiceDiv.classList.add("has-success");
            }

            let genderChoiceErr = document.getElementById("genderErr");
            if (genderChoiceErr){
                genderChoiceErr.classList.remove("show");
                genderChoiceErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

<!-- Main interplay with submission testing... no blur options-->
function maritalVerify(){
    /*
    Required Field
    Test if chosen? (Max length 50 char)
     */

    let singleChoice = document.getElementById("single"),
        marriedChoice = document.getElementById("married"),
        divorcedChoice = document.getElementById("divorced");
    if (singleChoice && marriedChoice && divorcedChoice){

        /* Checked test - Fail if no choices are checked and display errors */
        if (!singleChoice.checked && !marriedChoice.checked && !divorcedChoice.checked){
            let maritalChoiceDiv = document.getElementById("maritalDiv");
            if (maritalChoiceDiv){
                maritalChoiceDiv.classList.remove("has-success");
                maritalChoiceDiv.classList.add("has-error");
            }
            let maritalChoiceErr = document.getElementById("maritalErr");
            if (maritalChoiceErr){
                maritalChoiceErr.classList.remove("hide");
                maritalChoiceErr.classList.add("show");
            }

            <!-- Else, there is a choice that is valid. return true and adjust display -->
        } else {
            let maritalChoiceDiv = document.getElementById("maritalDiv");
            if (maritalChoiceDiv){
                maritalChoiceDiv.classList.remove("has-error");
                maritalChoiceDiv.classList.add("has-success");
            }
            let maritalChoiceErr = document.getElementById("maritalErr");
            if (maritalChoiceErr){
                maritalChoiceErr.classList.remove("show");
                maritalChoiceErr.classList.add("hide");
            }
            return true;
        }
    }
    return false;
}

function bDayVerify() {
    /*
    Required Field
    Verify that value is only numbers to ensure mm/dd/yyyy has been replaced.
     */
    let birthDate = document.getElementById("dateOfBirth");
    if (birthDate) {
        if (birthDate.value.match(/[0-9]+/)){
            let birthDateDiv = document.getElementById("bDayDiv");

            if (birthDateDiv) {
                birthDateDiv.classList.remove("has-error");
                birthDateDiv.classList.add("has-success");
            }
            let birthDateErr = document.getElementById("bDayErr");
            if (birthDateErr) {
                birthDateErr.classList.remove("show");
                birthDateErr.classList.add("hide");
            }
            return true;

        <!-- Else, invalid input. Display errors. -->
        } else {
            let birthDateDiv = document.getElementById("bDayDiv");
            if (birthDateDiv) {
                birthDateDiv.classList.remove("has-success");
                birthDateDiv.classList.add("has-error");
            }
            let birthDateErr = document.getElementById("bDayErr");
            if (birthDateErr) {
                birthDateErr.classList.remove("hide");
                birthDateErr.classList.add("show");
            }
            return false;
        }
    }
}



function submitValidation(e){
    /*
    Check for invalid input all required fields
    Submit if all checks return true
     */
    let currentForm = document.getElementById("registrationForm");
    e.preventDefault();
    if (currentForm){
        let currentUser = userNameVerify(),
            currentPass = passwordVerify(),
            currentFirst = firstNameVerify(),
            currentLast = lastNameVerify(),
            currentAddress = addressOneVerify(),
            currentCity = cityVerify(),
            currentState = stateVerify(),
            currentZip = zipVerify(),
            currentPhone = phoneVerify(),
            currentEmail = emailVerify(),
            currentGender = genderVerify(),
            currentMarital = maritalVerify(),
            currentDOB = bDayVerify();

        let isCurrentValid = currentUser & currentPass & currentFirst & currentLast &
                currentAddress & currentCity & currentState & currentZip & currentPhone &
                currentEmail & currentGender & currentMarital & currentDOB;

        if (isCurrentValid){
            <!--Stuff-->
        }
    }

}

function resetValidation(){
    /*
    Reset all values to blank
    Reset all error messages
     */

    let userDiv = document.getElementById("userNameDiv");
    let userErr = document.getElementById("userNameErr");
    if (userDiv){
        userDiv.classList.remove("has-error");
        userDiv.classList.remove("has-success");
    }
    if (userErr){
        userErr.classList.remove("show");
        userErr.classList.add("hide");
    }

    let passOneDiv = document.getElementById("passwordDiv"),
        passOneErr = document.getElementById("passErr");
    if (passOneDiv){
        passOneDiv.classList.remove("has-error");
        passOneDiv.classList.remove("has-success");
    }
    if (passOneErr){
        passOneErr.classList.remove("show");
        passOneErr.classList.add("hide");
    }

    let passTwoDiv = document.getElementById("confirmPassDiv"),
        passTwoErr = document.getElementById("confirmPassErr");
    if (passTwoDiv){
        passTwoDiv.classList.remove("has-error");
        passTwoDiv.classList.remove("has-success");
    }
    if (passTwoErr){
        passTwoErr.classList.remove("show");
        passTwoErr.classList.add("hide");
    }

    let givenNameDiv = document.getElementById("firstNameDiv"),
        givenNameErr = document.getElementById("firstNameErr");
    if (givenNameDiv){
        givenNameDiv.classList.remove("has-error");
        givenNameDiv.classList.remove("has-success");
    }
    if (givenNameErr){
        givenNameErr.classList.remove("show");
        givenNameErr.classList.add("hide");
    }

    let familyNameDiv = document.getElementById("lastNameDiv"),
        familyNameErr = document.getElementById("lastNameErr");
    if (familyNameDiv){
        familyNameDiv.classList.remove("has-error");
        familyNameDiv.classList.remove("has-success");
    }
    if (familyNameErr){
        familyNameErr.classList.remove("show");
        familyNameErr.classList.add("hide");
    }

    let streetAddressDiv = document.getElementById("address1Div"),
        streetAddressErr = document.getElementById("address1Err");
    if (streetAddressDiv){
        streetAddressDiv.classList.remove("has-error");
        streetAddressDiv.classList.remove("has-success");
    }
    if (streetAddressErr){
        streetAddressErr.classList.remove("show");
        streetAddressErr.classList.add("hide");
    }

    let townDiv = document.getElementById("cityDiv"),
        townErr = document.getElementById("cityErr");
    if (townDiv){
        townDiv.classList.remove("has-error");
        townDiv.classList.remove("has-success");
    }
    if (townErr){
        townErr.classList.remove("show");
        townErr.classList.add("hide");
    }

    let stateAbvDiv = document.getElementById("stateDiv"),
        stateAbvErr = document.getElementById("stateErr");
    if (stateAbvDiv){
        stateAbvDiv.classList.remove("has-error");
        stateAbvDiv.classList.remove("has-success");
    }
    if (stateAbvErr){
        stateAbvErr.classList.remove("show");
        stateAbvErr.classList.add("hide");
    }


    let zipCodeDiv = document.getElementById("zipDiv"),
        zipCodeErr = document.getElementById("zipErr");
    if (zipCodeDiv){
        zipCodeDiv.classList.remove("has-error");
        zipCodeDiv.classList.remove("has-success");
    }
    if (zipCodeErr){
        zipCodeErr.classList.remove("show");
        zipCodeErr.classList.add("hide");
    }

    let phoneNumDiv = document.getElementById("phoneDiv"),
        phoneNumErr = document.getElementById("phoneErr");
    if (phoneNumDiv){
        phoneNumDiv.classList.remove("has-error");
        phoneNumDiv.classList.remove("has-success");
    }
    if (phoneNumErr){
        phoneNumErr.classList.remove("show");
        phoneNumErr.classList.add("hide");
    }

    let emailAddDiv = document.getElementById("emailDiv"),
        emailAddErr = document.getElementById("emailErr");
    if (emailAddDiv){
        emailAddDiv.classList.remove("has-error");
        emailAddDiv.classList.remove("has-success");
    }
    if (emailAddErr){
        emailAddErr.classList.remove("show");
        emailAddErr.classList.add("hide");
    }


    let genderChoiceDiv = document.getElementById("genderDiv"),
        genderChoiceErr = document.getElementById("genderErr");
    if (genderChoiceDiv){
        genderChoiceDiv.classList.remove("has-error");
        genderChoiceDiv.classList.remove("has-success");
    }
    if (genderChoiceErr){
        genderChoiceErr.classList.remove("show");
        genderChoiceErr.classList.add("hide");
    }

    let maritalChoiceDiv = document.getElementById("maritalDiv"),
        maritalChoiceErr = document.getElementById("maritalErr");
    if (maritalChoiceDiv){
        maritalChoiceDiv.classList.remove("has-error");
        maritalChoiceDiv.classList.remove("has-success");
    }
    if (maritalChoiceErr){
        maritalChoiceErr.classList.remove("show");
        maritalChoiceErr.classList.add("hide");
    }

    let birthDateDiv = document.getElementById("bDayDiv"),
        birthDateErr = document.getElementById("bDayErr");
    if (birthDateDiv){
        birthDateDiv.classList.remove("has-error");
        birthDateDiv.classList.remove("has-success");
    }
    if (birthDateErr){
        birthDateErr.classList.remove("show");
        birthDateErr.classList.add("hide");
    }
}



